edu.ucsb.nceas.metacat

## Class SchemaLocationResolver

- java.lang.Object
- - edu.ucsb.nceas.metacat.SchemaLocationResolver

-     public class SchemaLocationResolver
      extends java.lang.Object

  A database aware Class to handle schema location. If namespace is in the xml_catalog table (public_id), the schema location specified in xml document will be ignored by parser setting external schema location. If the name space is not in the table, it will be download to metacat and register in table

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaLocationResolver()`
    `SchemaLocationResolver(java.lang.String myNameSpaceAndLocation)` Construct an instance of the SchemaLocationResolver class
    `SchemaLocationResolver(java.lang.String myNameSpace, java.lang.String myLocation)` Construct an instance of the SchemaLocationResolver class

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDownloadNewSchema()` Gets the downloadNewSchema's value.
    `void` | `resolveNameSpace()` When got a name space, check if it is in the database, if it is do nothing else upload it to metacat to store it and register it in catalog table

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaLocationResolver

          public SchemaLocationResolver()

    - #### SchemaLocationResolver

          public SchemaLocationResolver(java.lang.String myNameSpaceAndLocation)

      Construct an instance of the SchemaLocationResolver class
      Parameters:
        `myNameSpaceAndLocation` - it is come from xsi:schemaLocation= "namespace location"

    - #### SchemaLocationResolver

          public SchemaLocationResolver(java.lang.String myNameSpace,
                                        java.lang.String myLocation)

      Construct an instance of the SchemaLocationResolver class
      Parameters:
        `myNameSpaceAndLocation` - it is come from xsi:schemaLocation= "namespace location"

  - ### Method Detail

    - #### resolveNameSpace

          public void resolveNameSpace()

      When got a name space, check if it is in the database, if it is do nothing else upload it to metacat to store it and register it in catalog table

    - #### getDownloadNewSchema

          public boolean getDownloadNewSchema()

      Gets the downloadNewSchema's value.
      Returns:

Copyright © 2023 Regents of the University of California. All Rights Reserved.